
// EVENT REGISTER

if(SERVER_SIDE)
{
    addEvent("Area.onPlayerEnterArea");
    addEvent("Area.onPlayerLeaveArea");
    addEvent("Guild.onPointsUpdate");
    addEvent("Guild.onMembersUpdate");
    addEvent("Guild.onReset");
    addEvent("Npc.onHit");
    addEvent("Npc.cellUpdate");
    addEvent("Bot.onMonsterDead");
    addEvent("Bot.onMonsterRespawn");
    addEvent("Damage.onPlayerHitNpc");
    addEvent("Damage.onPlayerHitPlayer");
    addEvent("Damage.onPlayerDead");
    addEvent("Damage.onNpcDead");    
    addEvent("Reward.onPlayerMonsterStreak");
    addEvent("Reward.onPlayerHeroStreak");
    addEvent("Round.onRoundStart");
    addEvent("Round.onRoundStop");
    addEvent("GroundDrop.onPlayerTakeItem");
    addEvent("GroundDrop.onItemVanish");
    addEvent("Player.onPlayerLogin");
    addEvent("Player.onPlayerChangeGuild");
    addEvent("Player.onPlayerKills");
    addEvent("Player.onPlayerDeaths");
    addEvent("Player.onPlayerAssists");
    addEvent("Player.onPlayerChangeVisual");
    addEvent("Player.onPlayerChangeLevel");
    addEvent("Player.onPlayerPreDisconnect");
    addEvent("Equipment.onPlayerItemUpdate");
    addEvent("Equipment.onPlayerClear");
    addEvent("Equipment.onPlayerSpellCast");
    addEvent("Equipment.onPlayerEquipItem");
    addEvent("Equipment.onPlayerUnequipItem");
    addEvent("Dialog.onPlayerDialogEffect");
}
else
{ 
    enableEvent_Render(true);
    enableEvent_RenderFocus(true);

    addEvent("Equipment.onHeroGiveItem");
    addEvent("Equipment.onHeroRemoveItem");
    addEvent("Equipment.onQuickSlotUpdate");
    addEvent("InfoBox.onKill");
    addEvent("InfoBox.onThirdLevel");
    addEvent("InfoBox.onBossDead");
    addEvent("InfoBox.onBossRespawn");
    addEvent("Area.onHeroEnterArea");
    addEvent("Area.onHeroLeaveArea");
    addEvent("Guild.onPointsUpdate");
    addEvent("Guild.onMembersUpdate");
    addEvent("Guild.onReset");
    addEvent("Guild.onInitialData");
    addEvent("Damage.onParadeUpdate");
    addEvent("Player.onHeroLogin");
    addEvent("Player.onHeroRegister");
    addEvent("Player.onHeroChangePermission");
    addEvent("Player.onPlayerChangeGuild");
    addEvent("Player.onPlayerKills");
    addEvent("Player.onPlayerDeaths");
    addEvent("Player.onPlayerAssists");
    addEvent("Player.onHeroChangeLevel");
    addEvent("Player.onHeroChangeExperience");
    addEvent("Player.onHeroChangeExperienceNextLevel");
    addEvent("Player.onPlayerRest");
    addEvent("Dialog.onInitialData");
    addEvent("Dialog.onUpdateData");
    addEvent("Reward.onHeroMonsterStreak");
    addEvent("Reward.onHeroPlayerStreak");
    addEvent("Round.onCreateRound");
    addEvent("Round.onRoundStart");
    addEvent("Round.onRoundStop");
    addEvent("Round.onRoundTarget");
    addEvent("Round.onRoundBonus");
    addEvent("Round.onUpdateLeaderboard");
    addEvent("CameraPath.onCreate");
    addEvent("CameraPath.onStart");
    addEvent("CameraPath.onTransition");
    addEvent("CameraPath.onStop");
    addEvent("Chat.onChatListUpdate");
    addEvent("View.onViewVisible");
    addEvent("onInactive");
}